Package org.gradle.api.publish.maven

# Interface MavenPomLicense

public interface MavenPomLicense
A license of a Maven publication.

Since:
  4.8
See Also:
  - `MavenPom`
  - `MavenPomLicenseSpec`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Property<String>`
  `getComments()`
  The comments of this license.
  `Property<String>`
  `getDistribution()`
  The distribution of this license.
  `Property<String>`
  `getName()`
  The name of this license.
  `Property<String>`
  `getUrl()`
  The URL of this license.

- ## Method Details

  - ### getName

    Property<String> getName()
    The name of this license.

  - ### getUrl

    Property<String> getUrl()
    The URL of this license.

  - ### getDistribution

    Property<String> getDistribution()
    The distribution of this license.

  - ### getComments

    Property<String> getComments()
    The comments of this license.